Skip to main content
GET
/
v1
/
contacts
List contacts
curl --request GET \
  --url https://api.timelyai.com.br/v1/contacts \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customer_name": "<string>",
      "customer_email": "jsmith@example.com",
      "customer_phone": "<string>",
      "status": "active",
      "tags": [
        "<string>"
      ],
      "custom_fields": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "total_pages": 123
  }
}

Authorizations

x-api-key
string
header
required

API key obtained from the dashboard

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
limit
integer
default:20

Items per page

Required range: 1 <= x <= 100
order
enum<string>
default:desc

Sort direction

Available options:
asc,
desc

Search term

status
enum<string>
Available options:
active,
inactive,
blocked

Response

List of contacts

data
object[]
pagination
object